"use strict";



// Only one entry point: the main function
main();

function main() {

  const element = document.querySelector('.disc');
  const colorTable = {table:['red','yellow','green'], index:0};

  document.addEventListener('mousemove', function(event) { mouseMoveAction(event,element);} );
  document.addEventListener('keydown', function(event) { keyDownAction(event, element, colorTable);  } );

}

function mouseMoveAction(event, element) {
  const x = event.clientX;
  const y = event.clientY;

  element.style.transform = `translate(${x-50}px, ${y-50}px)`;
}

function keyDownAction(event, element, colorTable) {

  if( event.key ==' ') {
    const T = colorTable.table;
    const idx = colorTable.index;

    element.style.backgroundColor = T[idx];
    colorTable.index = (colorTable.index+1)%3;
  }
}



